# OpenLaserTag device
# OLT protocol.
# Tomas Krejci [Njord]


import machine, time
from sys import platform
ESP32 = platform == 'esp32'
RP2 = platform == 'rp2'
PYBOARD = platform == 'pyboard'
if ESP32 or RP2:
    from machine import Pin
else:
    from pyb import Pin, LED
import uasyncio as asyncio
#from primitives.switch import Switch
from primitives.delay_ms import Delay_ms
import primitives.queue as queue
from primitives import Switch, Pushbutton
from rgb import RGB

async def main(proto):
    onboar_led = machine.Pin("LED", machine.Pin.OUT) # Pi Pico onboard LED

    while True:
        print(f"main while running: {time.ticks_ms()}")
        onboar_led.on()
        await asyncio.sleep_ms(100)
        onboar_led.off()
        await asyncio.sleep(1)    



try:
    asyncio.run(main(0))

except KeyboardInterrupt:
    print("Interrupted")

finally:
    asyncio.new_event_loop()
    print('End')

